Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.util
Class CoreAjaxRendererUtils

    java.lang.Object
      org.richfaces.renderkit.util.CoreAjaxRendererUtils

    public final class CoreAjaxRendererUtils

extends java.lang.Object

Author:
  shura

  Some utilites for render AJAX components.

Field Summary
`static java.lang.String` | `AJAX_PROCESS_ATTRIBUTE`
`static java.lang.String` | `AJAX_REGIONS_ATTRIBUTE`

Method Summary
`static java.util.Set<java.lang.String>` | `asIdsSet(java.lang.Object valueToSet)`
`static java.util.Set<java.lang.String>` | `asSimpleSet(java.lang.Object valueToSet)`
`static java.util.Set<java.lang.String>` | `getAjaxAreas(javax.faces.component.UIComponent uiComponent)` Get list of clientId's for given component
`static java.util.Set<java.lang.String>` | `getAjaxAreasToProcess(javax.faces.component.UIComponent component)` Returns set of areas to be processed as a result of this component action invocation
`static void` | `renderAjaxExtensions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_PROCESS_ATTRIBUTE

    public static final java.lang.String AJAX_PROCESS_ATTRIBUTE

Since:
  3.3.0
See Also:
  Constant Field Values

### AJAX_REGIONS_ATTRIBUTE

    public static final java.lang.String AJAX_REGIONS_ATTRIBUTE

See Also:
  Constant Field Values

Method Detail

### renderAjaxExtensions

    public static void renderAjaxExtensions(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent component)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAjaxAreas

    public static java.util.Set<java.lang.String> getAjaxAreas(javax.faces.component.UIComponent uiComponent)

  Get list of clientId's for given component

  Parameters:
    `uiComponent` -
  Returns:
    List of areas Id's , updated by this component.

### getAjaxAreasToProcess

    public static java.util.Set<java.lang.String> getAjaxAreasToProcess(javax.faces.component.UIComponent component)

  Returns set of areas to be processed as a result of this component action invocation

  Parameters:
    `component` -
  Returns:
    set of IDs that should be processed as a
  Since:
    3.3.0

### asSimpleSet

    public static java.util.Set<java.lang.String> asSimpleSet(java.lang.Object valueToSet)

### asIdsSet

    public static java.util.Set<java.lang.String> asIdsSet(java.lang.Object valueToSet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.